Bug 141211 - Bold (or Italic) icon (in Formatting toolbar) should not be active when "Strong Emphasis" (or Emphasis) character style is applied
Summary: Bold (or Italic) icon (in Formatting toolbar) should not be active when "Stro...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.3 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Writer-Toolbars
  Show dependency treegraph
 
Reported: 2021-03-23 19:05 UTC by sdc.blanco
Modified: 2021-04-11 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2021-03-23 19:05:44 UTC
1. Apply "Strong Emphasis" character style to a text string in Writer.

Actual: Bold icon is activated in Formatting toolbar.
Expected:  No change in Bold icon.

2. Apply "Emphasis" character style to a text string in Writer.
Actual: Italic icon activated in Formatting bar.
Expected: No change in Italic icon.

Tested in 7.1.1 and 7.2+
Comment 1 V Stuart Foote 2021-03-24 20:27:37 UTC
This is valid, but as in the see also bug 118979 this is a cosmetic annoyance of work done to provide Emphasis and Strong style based rendering. The styles apply, but the DF button is toggled.  Users with just the Standard TB showing are left to wonder, "Is it Style or is it DF?".
Comment 2 sdc.blanco 2021-03-26 08:43:40 UTC
To UXEval:  maybe an Easy Hack?
Comment 3 Adolfo Jayme 2021-03-27 01:32:37 UTC
Yeah, direct formatting and style-based formatting shouldn’t cross paths in the UI.

A complicated solution could be making the DF buttons to toggle in a different way (like changing the icon and tooltip) when the Styles toolbar isn’t visible, but maybe it’s too much effort for little benefit.
Comment 4 Heiko Tietze 2021-04-06 16:24:14 UTC
You could format the CS to not have a bold font weight. I don't think we should block the DF options.
Comment 5 Mike Kaganski 2021-04-06 16:42:23 UTC
The button state does not reflect *direct formatting*, it only reflects respective *formatting* (regardless of the way it was applied). And that is absolutely correct.

And everything else aside, remember that all DF tools are targeted at users who do not care (maybe do not know, have not mastered, do not understand, etc.) about styles. And the DF tools must make lives of those users simple: it *is* expected by the users that whenever a text font is bold, the Bold button is "active", and allows user to toggle the effect (applying a DF "no bold" atop of any number of levels of complex formatting below, as if you use paint that masks anything below it). It would be not obvious, not consistent, etc. if they see non-pressed Bold, which on press actually makes selection *not* bold; or absolutely wrong to disallow DF users to make bold-*styled* text non-bold.

Clear NOTABUG.
Comment 6 sdc.blanco 2021-04-06 21:35:09 UTC
(In reply to Mike Kaganski from comment #5)
> And that is absolutely correct.
According to...?

> remember that all DF tools are targeted at users
But the OP was not about DF tools.

> And the DF tools must make lives of those users simple:
Presumably even if it makes life more complicated for non-DF users?
Comment 7 Mike Kaganski 2021-04-07 04:21:25 UTC
(In reply to sdc.blanco from comment #6)
> (In reply to Mike Kaganski from comment #5)
> > And that is absolutely correct.
> According to...?

... the following explanation.

> > remember that all DF tools are targeted at users
> But the OP was not about DF tools.

How "Bold (or Italic) icon (in Formatting toolbar)" is not about DF tools?

> > And the DF tools must make lives of those users simple:
> Presumably even if it makes life more complicated for non-DF users?

Please explain how.
Comment 8 Heiko Tietze 2021-04-07 10:31:22 UTC
Mike had a striking point (among many): you need to be able to make the un-bold the font weight if a certain CS has been applied.
Comment 9 sdc.blanco 2021-04-10 09:22:32 UTC
(In reply to Mike Kaganski from comment #7)

Perhaps I misunderstood / misinterpreted the relation between Formatting toolbar and Formatting (Styles) toolbar.

Given that BZ has many assertions about the difference between DF and styles, it was surprising (unexpected) to see the DF (Formatting) bar “responding” to values set in styles. But I see now that all style settings are also reflected in the Formatting bar. 

> > Presumably even if it makes life more complicated for non-DF users?
> 
> Please explain how.
Formatting bar shows the state of formatting, regardless of whether DF or applied by a style, so it is not always possible to use the toolbars to decide immediately whether a style or a DF is being applied.

For example, if custom CS “theoretical concept” has italic font, then Formatting bar shows the italic icon toggled, but I cannot see in Formatting (Styles) bar that I have applied a CS.

(yes, i know, Style Inspector or Character Styles deck, but that is only immediate if it is always open)

(Not proposing any change here, just trying to understand the design intention).
Comment 10 Mike Kaganski 2021-04-10 09:37:14 UTC
(In reply to sdc.blanco from comment #9)
> (Not proposing any change here, just trying to understand the design
> intention).

Nice :-)

> > > Presumably even if it makes life more complicated for non-DF users?
> > 
> > Please explain how.
> Formatting bar shows the state of formatting, regardless of whether DF or
> applied by a style, so it is not always possible to use the toolbars to
> decide immediately whether a style or a DF is being applied.
> 
> For example, if custom CS “theoretical concept” has italic font, then
> Formatting bar shows the italic icon toggled, but I cannot see in Formatting
> (Styles) bar that I have applied a CS.

You are holding this wrong :-)

Your train of thought is like "it makes the use of DF toolbar more difficult for style users when they decide to use that toolbar for what it is not intended to do". So you basically start building expectations of a style user regarding tools not directly intended for them.

This is wrong. Based on that reasoning, whenever you invent any tool for DF users, you inevitably come to a situation when a style user *could* in theory make use of such thing, *if* it were made differently - and so breaking the intended ease of use for DF users. Just don't do that!

Now about the design intention.

All DF tools are created *primarily* for users who do not use styles. For those users, the document does not consist of styled parts, it consists of characters having some formatting. And they might not care, or might not even know, where the formatting of a specific character comes from. Their tools must react predictably *at their level of thinking about document*, and that means that whenever a character is bold, the tool to control bold effect must suggest to unbold it - which implies that it is shown "activated" (=applied).

Additionally, all DF tools work like paint: imagine a medieval painter who might decide to update (fix something on) an older painting. Instead of trying to remove everything from the old canvas at the changed site, they just paint over, masking whatever is beneath the new layer of the paint. That is an easy way for inexperienced users, and the tools designed for those users must be convenient for that mode of thinking.

If you think that some tool on DF toolbar might be useful for style users if modified, and that modification is harmful for DF users, you are welcome to suggest a *new* tool e.g. on styles toolbar; it's wrong to think that not modifying the old tool "makes life more complicated for non-DF users", when their life is not more difficult now than it was before.
Comment 11 Mike Kaganski 2021-04-10 09:43:22 UTC
(In reply to sdc.blanco from comment #9)
> For example, if custom CS “theoretical concept” has italic font, then
> Formatting bar shows the italic icon toggled, but I cannot see in Formatting
> (Styles) bar that I have applied a CS.

... which is likely a flaw of a tool on Styles toolbar, rather than of DF tool, right?
Comment 12 sdc.blanco 2021-04-11 19:08:23 UTC
(In reply to Mike Kaganski from comment #10)
> Your train of thought is like ...
Actually it wasn’t. Comment 0 only expressed an implicit expectation that the Formatting bar was independent of formatting applied from styles. 

Fwiw, the OP originated from my (mistaken) assumption that the Formatting bar would only show DF effects, and therefore could be used to identify DF in the document. (This implicit point was appreciated and made explicit in comment 1, which accepted the report as NEW, and supported further by another opinion in comment 3).

Meanwhile, let me check whether the following gives an accurate account of the relation between the Formatting bar and styles.

1. As an empirical fact, the Formatting bar shows all formatting, independently of whether it comes from DF or an applied style.

2. The justification(?) for this design/behavior, generalized from comment 5, is that a user does not need to know about styles, but can still interact meaningfully with the visible formatting in the document canvas, using the Formatting bar – regardless of whether the formatting came from DF or a style. 

3. Styles users cannot expect or use the Formatting bar to differentiate whether formatting was applied by DF or styles.